# phpDox - Exception

# \Exception

####

## Synopsis

class Exception {

- // methods
- public void __construct()
- public final string getMessage()
- public final Throwable getPrevious()
- public final mixed getCode()
- public final string getFile()
- public final int getLine()
- public final array getTrace()
- public final string getTraceAsString()
- public string __toString()
- final void __clone()

}

## Methods

#### public

- __construct() — Construct the exception
- __toString() — String representation of the exception
- getCode() — Gets the Exception code
- getFile() — Gets the file in which the exception was created
- getLine() — Gets the line in which the exception was created
- getMessage() — Gets the Exception message
- getPrevious() — Returns previous Exception
- getTrace() — Gets the stack trace
- getTraceAsString() — Gets the stack trace as a string